### Function

# Gcr fingerprint_from_attributes

#### Declaration [src]

    guchar*
    gcr_fingerprint_from_attributes (
      GckAttributes* attrs,
      GChecksumType checksum_type,
      gsize* n_fingerprint
    )

#### Description [src]

Create a key fingerprint for a certificate, public key or private key. Note that this is not a fingerprint of certificate data, which you would use `gcr_certificate_get_fingerprint()` for.

#### Parameters

`attrs`

  Type: `GckAttributes`

  Attributes for key or certificate.

  The data is owned by the caller of the function.

`checksum_type`

  Type: `GChecksumType`

  The type of fingerprint to create.

`n_fingerprint`

  Type: `gsize*`

  The length of fingerprint returned.

  The argument will be set by the function.

#### Return value

Type: An array of `guchar`

The fingerprint or `NULL` if the input was invalid.

The length of the array is in the `n_fingerprint` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.